Subject: Re: Passive OS fingerprint xtables match (iptables part)

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 13 Feb 2009 16:12:56 +0300

On Fri, Feb 13, 2009 at 02:03:10PM +0100, Jan Engelhardt ([email-masked]) wrote:
> >> >	printf("OS fingerprint match options:\n"
> >> >		"--genre [!] string	Match a OS genre by passive fingerprinting.\n"
> >> 
> >> The syntax should be  [!] --genre string, that is what most
> >> others use. Then the check_inverse call also be removed.
> >
> >Actually not, it has genre not Linux (Windows, Solaris, HPUX and so on).
> 
> It may not coincide with English grammar, but it is easier to parse.

'! --genre Linux' means this option was not specified,
'--genre ! Linux' means everything but Linux.

-- 
	Evgeniy Polyakov